# Generated by Django 4.2.13 on 2024-07-12 07:59

from django.db import migrations, models


# TODO: Change assistant type over
class Migration(migrations.Migration):
    dependencies = [
        ("api", "0004_chatbot_template_project_activated"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="chatbot",
            name="description",
        ),
        migrations.RemoveField(
            model_name="chatbot",
            name="generation_parameters",
        ),
        migrations.AddField(
            model_name="chatbot",
            name="config",
            field=models.JSONField(
                default={
                    "bot_type": "prompt",
                    "general_prompt": {
                        "constraints": "",
                        "instructions": "",
                        "persona": "",
                    },
                    "knowledge": {
                        "activation": {"threshold": 0.0, "type": "never"},
                        "enabled": False,
                        "fallback": "",
                    },
                },
                help_text="Various prompt and knowledge settings",
            ),
        ),
    ]
